Condition that tests whether a given string evals to false.

author | Hans Lellelid (Phing)
author | Steve Loughran (Ant)
version | $Id: f7d355bdf8f7aa539afb572e2fe033ffd3bcd89b $
package | phing.tasks.system.condition

### Methods

## return the inverted value;

    evaluate() : boolean

### Exceptions

`\BuildException` | if someone forgot to spec a value

### Returns

`boolean`

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()

### Returns

`\Project`Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level)

Inherited

inherited_from | \ProjectComponent::log()

### Parameters

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Set the value to be tested.

    setValue(boolean $value)

### Parameters

#### $value

`boolean`

### Properties

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project

##

    $value